import { useMedia } from 'the-platform/useMedia';
import { BREAKPOINTS } from './constants.js';

function useMS() {
  return useMedia(BREAKPOINTS.MS, false);
}

function useMM() {
  return useMedia(BREAKPOINTS.MM, false);
}

function useTS() {
  return useMedia(BREAKPOINTS.TS, false);
}

function useTM() {
  return useMedia(BREAKPOINTS.TM, false);
}

function useTL() {
  return useMedia(BREAKPOINTS.TL, false);
}

function useDM() {
  return useMedia(BREAKPOINTS.DM, false);
}

function useDS() {
  return useMedia(BREAKPOINTS.DS, false);
}

export { useDM, useDS, useMM, useMS, useTL, useTM, useTS };
